Name:           gupnp-tools
Version:        0.8
Release:        1%{?dist}
Summary:        A collection of dev tools utilising GUPnP and GTK+

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.gupnp.org/
Source0:        http://www.gupnp.org/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gupnp-devel
BuildRequires: gupnp-av-devel
BuildRequires: gssdp-devel
BuildRequires: gtk2-devel
BuildRequires: libsoup-devel
BuildRequires: libuuid-devel
BuildRequires: gnome-icon-theme
BuildRequires: desktop-file-utils

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

GUPnP-tools is a collection of developer tools utilising GUPnP and GTK+. 
It features a universal control point application as well as a sample 
DimmableLight v1.0 implementation. 

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install --vendor=gupnp \
--delete-original --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gupnp-av-cp.desktop

desktop-file-install --vendor=gupnp \
--delete-original --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gupnp-network-light.desktop

desktop-file-install --vendor=gupnp \
--delete-original --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gupnp-universal-cp.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/gupnp-tools/
%dir %{_datadir}/gupnp-tools/pixmaps/
%dir %{_datadir}/gupnp-tools/xml/
%{_bindir}/gupnp-network-light
%{_bindir}/gupnp-universal-cp
%{_bindir}/gupnp-av-cp
%{_bindir}/gupnp-upload
%{_datadir}/applications/gupnp-av-cp.desktop
%{_datadir}/applications/gupnp-network-light.desktop
%{_datadir}/applications/gupnp-universal-cp.desktop
%{_datadir}/gupnp-tools/pixmaps/*.png
%{_datadir}/gupnp-tools/xml/*.xml
%{_datadir}/gupnp-tools/*.ui

%changelog
* Thu Sep 17 2009 Bastien Nocera <bnocera@redhat.com> 0.8-1
- Update to 0.8

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.7.1-4
- Rebuild with new libuuid build req

* Tue May 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.7.1-3
- and add the GTKBuilder replacements

* Tue May 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.7.1-2
- Remove the glade files now that it uses GTKBuilder

* Tue May 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.7.1-1
- New upstream release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 22 2008 Peter Robinson <pbrobinson@gmail.com> 0.7-3
- Fix package summary

* Tue Oct 28 2008 Peter Robinson <pbrobinson@gmail.com> 0.7-2
- Add missing files

* Tue Oct 28 2008 Peter Robinson <pbrobinson@gmail.com> 0.7-1
- New upstream release

* Sat Oct 25 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.1-4
- Add patch and rebuild

* Sat Oct 25 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.1-3
- Rebuild

* Fri Oct 24 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.1-2
- Add patch to fix gthread issue

* Mon Sep 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- New upstream release

* Sat Aug 30 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-2
- spec file review updates

* Tue Jun 17 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-1
- Initial release
